[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] Fix build compat with older libselinux for LXC



On 05/16/2012 07:20 AM, Daniel P. Berrange wrote:
> From: "Daniel P. Berrange" <berrange redhat com>
> 
> Most versions of libselinux do not contain the function
> selinux_lxc_contexts_path() that the security driver
> recently started using for LXC. We must add a conditional
> check for it in configure and then disable the LXC security
> driver for builds where libselinux lacks this function.
> 
> NB although this qualifies as a build breaker fix, I'm
>    not pushing until it has had review
> 
> * configure.ac: Check for selinux_lxc_contexts_path
> * src/security/security_selinux.c: Disable LXC security
>   if selinux_lxc_contexts_path() is missing
> ---
>  configure.ac                    |    1 +
>  src/security/security_selinux.c |   19 ++++++++++++++++---
>  2 files changed, 17 insertions(+), 3 deletions(-)

ACK.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]